# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   A sound mixer tool for kde
Name:      xqmixer
Version:   2.0.1
Release:   1
Copyright: LGPL
Vendor:    Rajko Albrecht <ral@alwins-world.de>
Url:       http://www.alwins-world.de
Packager:  Rajko Albrecht <ral@alwins-world.de>
Group:     X11/KDE/Multimedia
Source:    xqmixer-%version.tar.gz
BuildRoot: /tmp/kdebuild

%description
Xqmixer is a sound mixer tool for kde which has a some more features than the 
original mixer tool.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.xqmixer
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.xqmixer
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.xqmixer

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/xqmixer
rm -rf ../file.list.xqmixer


%files -f ../file.list.xqmixer
