#ifndef rcsid
static const char rcsid[]="$Id: SelectMixer.cpp,v 1.1 2003/02/14 23:01:51 ral Exp $";
const char*selectmixer_rcs(){return rcsid;}
#endif

#include "SelectMixer.h"
#include <kapp.h>
#include <klocale.h>

#define Inherited CSelectMixerData

CSelectMixer::CSelectMixer(QWidget* parent,const char* name)
    :Inherited( parent, name )
{
    setCaption(i18n( "Select mixer device" ));
}

CSelectMixer::~CSelectMixer()
{
}


/** Cancels the select dialog */
void CSelectMixer::cancelMe()
{
    QDialog::reject();
}

void CSelectMixer::closeMe()
{
    int i = MixerListe->currentItem();
    if (i < 0)
	return;
    mixer_name = MixerListe->text(i);
    accept();
}

/** Set the list of mixer devices
the user can select from */
bool CSelectMixer::setList(const QStrList*list)
{
    if (!list)
	return false;
    MixerListe->insertStrList(list);
    return true;
}
