/*
 * $Header: /usr/src/CVS/kde3/xqmixer/xqmixer/main.cpp,v 1.1 2003/02/14 23:01:51 ral Exp $
 *
 * The main program
 * $Log: main.cpp,v $
 * Revision 1.1  2003/02/14 23:01:51  ral
 * 2.0.0
 *
 * Revision 1.9  1999/07/07 22:40:47  ral
 * Open another mixerdevice is now working
 * bug in main fixed
 *
 * Revision 1.8  1999/07/05 23:23:26  ral
 * - changed KTopLevelWidget to KTMainWindow
 * - set_device implemented
 * - Open device is now displayed in caption and statusbar
 *
 * Revision 1.7  1999/07/05 04:37:33  ral
 * Einige Aenderungen, CVS umgemodelt
 *
 * Revision 1.6  1998/08/25 18:36:19  ral
 * USE_KDE define removed
 *
 * Revision 1.5  1998/06/17 11:50:34  ral
 * *** empty log message ***
 *
 * Revision 1.4  1998/01/08 19:59:24  ral
 * some minor-changes for glibc-2
 *
 * Revision 1.3  1997/11/03 17:15:05  ral
 * *** empty log message ***
 *
 * Revision 1.2  1997/10/20 16:51:18  ral
 * main application and main widget now dynamic implemented
 *
 * Revision 1.1  1997/10/20 11:23:51  ral
 * Initial revision
 *
 */

#include "mainwidget.h"
#include "config.h"
#include <qapp.h>
#include <klocale.h>
#include <stdio.h>
#include <errno.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>

#ifndef rcsid
static char rcsid[]="$Id: main.cpp,v 1.1 2003/02/14 23:01:51 ral Exp $";
#endif

#include <kapp.h>
KApplication * MainApp;


int main(int argc, char **argv)
{
    QString about = "written by Rajko Albrecht\nCologne (FRG)";
    KAboutData aboutData("xqmixer",I18N_NOOP("xqmixer"),
                         VERSION,"xqmixer",KAboutData::License_GPL,
                         about.latin1(),0,"http://www.alwins-world.de","ral@alwins-world.de");
    aboutData.addAuthor("Rajko Albrecht", "http://www.alwins-world.de","ral@alwins-world.de");
    
    KCmdLineArgs::init(argc, argv, &aboutData);
    MainApp = new KApplication( argc, argv );
    int i = 0;
    if (!MainApp){
	perror("Could not create application");
	exit(-1);
    }
    MyWidget*w;
    w = new MyWidget;
/*    if (kapp->isRestored()) {
	int n = 1;
	while (KTopLevelWidget::canBeRestored(n)) {
	    w->restore(n);
	    n++;
	}
    } else {*/
	MainApp->setMainWidget( w );
	if (argc > 1) 
	    w->SetDevice(argv[1]);
	else
	    w->SetDevice("/dev/mixer");
	w->show();
//    }
    i = MainApp->exec();
    //    delete w;
    delete MainApp;
    return i;
}


