// -*-Mode: C++;-*-
#ifndef _MIXER_WIDGET
#define _MIXER_WIDGET
#include <qwidget.h>
#include "qmixer.h"
#include <qlist.h>
#include <qvariant.h>
#include "options.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QFrame;
class QPushButton;


class MixerWidget:public QWidget {
    Q_OBJECT
public:
    MixerWidget(QWidget*parent=0,const char*geraet = 0,const char*name = 0);
    /**  */
    virtual const char* get_dev_name()const;
    ~MixerWidget();
    optionsP Options;
    
private:
    mixerP use_device;
    QList<Mixer>*IntList;
    int soe;
    int los;
    int lol;
    int lov;
    int disp_id;
    int last_act;
public slots:
    void toggle_value_display(int last_act);
    void save_vals();
    void save_mixer();
    void read_mixer();
protected slots:
protected:
    QHBoxLayout* MixerWidgetLayout;
    virtual void resizeEvent(QResizeEvent*e);
};

#endif

